> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Example Data Endpoint

> Return downsampled time-series for a built-in example dataset.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /ecm/examples/{example_id}/data
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /ecm/examples/{example_id}/data:
    get:
      tags:
        - ecm
      summary: Get Example Data Endpoint
      description: Return downsampled time-series for a built-in example dataset.
      operationId: get_example_data_endpoint_ecm_examples__example_id__data_get
      parameters:
        - name: example_id
          in: path
          required: true
          schema:
            type: string
            title: Example Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Get Example Data Endpoint Ecm Examples  Example Id 
                  Data Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````